Permalink
Browse files

Bug 833365 - Don't install extra_packages by default in setup_develop…

…ment.py, r=jhammel
  • Loading branch information...
1 parent a399d34 commit e206bc6af820e36613297c79b094e42aaefac275 @ahal ahal committed Jan 23, 2013
Showing with 3 additions and 4 deletions.
  1. +3 −4 setup_development.py
View
@@ -151,14 +151,13 @@ def main(args=sys.argv[1:]):
help="list dependencies for the packages")
parser.add_option('--list', action='store_true', default=False,
help="list what will be installed")
+ parser.add_option('--extra', '--install-extra-packages', action='store_true', default=False,
+ help="installs extra supporting packages as well as core mozbase ones")
options, packages = parser.parse_args(args)
- install_extra_packages = False
-
if not packages:
# install all packages
packages = sorted(mozbase_packages)
- install_extra_packages = True
# ensure specified packages are in the list
assert set(packages).issubset(mozbase_packages), "Packages should be in %s (You gave: %s)" % (mozbase_packages, packages)
@@ -240,7 +239,7 @@ def main(args=sys.argv[1:]):
call(['easy_install', version])
# install extra non-mozbase packages if desired
- if install_extra_packages:
+ if options.extra:
for package in extra_packages:
call(['easy_install', package])

0 comments on commit e206bc6

Please sign in to comment.